Skip to main content
v1

Read the desktop clipboard.

GET /v1/desktop/clipboard: request parameters and responses.

GET /v1/desktop/clipboard

Returns the current text content of the X11 clipboard.

Parameters

NameInRequiredTypeDescription
selectionqueryNostring

Parameter schemas

[
  {
    "name": "selection",
    "in": "query",
    "required": false,
    "schema": {
      "type": "string",
      "nullable": true
    }
  }
]

Responses

200

Clipboard contents

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopClipboardResponse"
  }
}

Related schemas: DesktopClipboardResponse.

409

Desktop runtime is not ready

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

500

Clipboard read failed

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.